Inv.lomax {VGAM} | R Documentation

## The Inverse Lomax Distribution

### Description

Density, distribution function, quantile function and random generation for the inverse Lomax distribution with shape parameter `p` and scale parameter `scale`.

### Usage

    dinv.lomax(x, scale = 1, shape2.p, log = FALSE)
    pinv.lomax(q, scale = 1, shape2.p, lower.tail = TRUE, log.p = FALSE)
    qinv.lomax(p, scale = 1, shape2.p, lower.tail = TRUE, log.p = FALSE)
    rinv.lomax(n, scale = 1, shape2.p)

### Arguments

`x, q` | vector of quantiles.
`p` | vector of probabilities.
`n` | number of observations. If `length(n) > 1`, the length is taken to be the number required.
`shape2.p` | shape parameter.
`scale` | scale parameter.
`log` | Logical. If `log = TRUE` then the logarithm of the density is returned.
`lower.tail, log.p` | Same meaning as in `pnorm` or `qnorm`.

### Details

See `inv.lomax`, which is the VGAM family function for estimating the parameters by maximum likelihood estimation.

### Value

`dinv.lomax` gives the density, `pinv.lomax` gives the distribution function, `qinv.lomax` gives the quantile function, and `rinv.lomax` generates random deviates.

### Note

The inverse Lomax distribution is a special case of the 4-parameter generalized beta II distribution.

### Author(s)

T. W. Yee

### References

Kleiber, C. and Kotz, S. (2003) Statistical Size Distributions in Economics and Actuarial Sciences, Hoboken, NJ, USA: Wiley-Interscience.

### See Also

`inv.lomax`, `genbetaII`.

### Examples

    idata <- data.frame(y = rinv.lomax(n = 1000, exp(2), exp(1)))
    fit <- vglm(y ~ 1, inv.lomax, data = idata, trace = TRUE, crit = "coef")
    coef(fit, matrix = TRUE)
    Coef(fit)

[Package VGAM version 1.0-4 Index]